hypeObserver v1.9.0

  • inca

    Thanks!

  • Ismayil Kharedinov

    Welcome. I am open to any comments on this, as I have not found anything similar done before. There is plenty of room for improvement.

  • RJ (Arvixe)

    Great plugin! Very useful!

  • clu55ter

    Thank you for a very useful plugin but how do you set up observer accounts? after enabeling this plugin I cant find the setting for configuring the observer account.

    Thanks

  • Ismayil Kharedinov

    It's the dropdown menu when you hover over the user icon

  • adc

    it is brilliant! thankyou!

  • clu55ter

    has this plugin been upgraded to elgg 1.9 now? because im getting fatel error after enabeling and upgrading.

    Could not load the observer:library:upgrade library from /var/www/vhosts/xxxxxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver/lib/upgrade.php

  • clu55ter

    Sorry im useimg elgg Release - 1.8.18, Version - 2014110100

  • Arsalan Shah

    @clu55ter, the plugin is not yet updated for elgg 1.9 , please make you you have uploaded all files

  • clu55ter

    @langLee I downloaded a fresh copy and same things happening again, fatel error wonder if its conflicting with another plugin?

  • clu55ter

    here the fatel error

     

    Fatal Error.

    Could not load the observer:library:upgrade library from /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver/lib/upgrade.php

    InvalidParameterException Object
    (
    [message:protected] => Could not load the observer:library:upgrade library from /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver/lib/upgrade.php
    [string:Exception:private] => exception 'InvalidParameterException' with message 'Could not load the observer:library:upgrade library from /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver/lib/upgrade.php' in /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/engine/lib/elgglib.php:121
    Stack trace:
    #0 /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver-master/start.php(77): elgg_load_library('observer:librar...')
    #1 [internal function]: hj_observer_check_release('upgrade', 'system', NULL)
    #2 /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/engine/lib/elgglib.php(784): call_user_func_array('hj_observer_che...', Array)
    #3 /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/upgrade.php(41): elgg_trigger_event('upgrade', 'system', NULL)
    #4 {main}
    [code:protected] => 0
    [file:protected] => /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/engine/lib/elgglib.php
    [line:protected] => 121
    [trace:Exception:private] => Array
    (
    [0] => Array
    (
    [file] => /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/mod/hypeObserver-master/start.php
    [line] => 77
    [function] => elgg_load_library
    [args] => Array
    (
    [0] => observer:library:upgrade
    )

    )

    [1] => Array
    (
    [function] => hj_observer_check_release
    [args] => Array
    (
    [0] => upgrade
    [1] => system
    [2] =>
    )

    )

    [2] => Array
    (
    [file] => /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/engine/lib/elgglib.php
    [line] => 784
    [function] => call_user_func_array
    [args] => Array
    (
    [0] => hj_observer_check_release
    [1] => Array
    (
    [0] => upgrade
    [1] => system
    [2] =>
    )

    )

    )

    [3] => Array
    (
    [file] => /var/www/vhosts/xxxx.dynamiccloudserver.info/httpdocs/demosite/upgrade.php
    [line] => 41
    [function] => elgg_trigger_event
    [args] => Array
    (
    [0] => upgrade
    [1] => system
    [2] =>
    )

    )

    )

    [previous:Exception:private] =>
    )

  • Ismayil Kharedinov

    Comment out line 37 in start.php where it say elgg_register_event_handler('upgrade','system' ...)

    That should get you going. Open a ticket on github and I will look into the causes when I have time

  • clu55ter

    Hi Ismayil Khayredinov I've commented out line 37 in start.php elgg_register_event_handler('upgrade','system' ...)

    This has stopped the fatel error but I can't see the option to give users observer accounts.

    As well looking at the plugin setting and the user avatar dropdown menu I can't see an option for this.

    I'd be then happy to open a ticket on github if I could just get it working.

  • Ismayil Kharedinov

    You didn't remove the -master suffix from the plugin folder name. Do that and you will be fine.

  • Arsalan Shah

    Ismayil is right!

  • clu55ter

    Thank you very much gentlement after removing the -master from the folder name everything seems to be working as it should, even after reinstating elgg_register_event_handler('upgrade','system' ...) in  start.php I'm not getting any fatel error and can now see the Maker Observer in the avatar dropdown menu!

    Thanks again excellent work!

  • clu55ter

    Ismayil Khayredinov can you stop users from friending observer accounts with this plugin? if so how?

Stats

  • Category: Authentication
  • License: GNU General Public License (GPL) version 2
  • Updated: 2013-8-21
  • Downloads: 341
  • Recommendations: 6

Other Projects

View Ismayil Kharedinov's plugins